Bug 1028900 - oo-app-info is broken with load error
oo-app-info is broken with load error
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 02:46 EST by Jianwei Hou
Modified: 2015-05-14 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-11-11 02:46:17 EST
Description of problem:
Execute oo-app-info, and the program is broken with error "Loading broker environment... /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': cannot load such file -- app_info"

Version-Release number of selected component (if applicable):
On devenv_4016

How reproducible:
Always

Steps to Reproduce:
1. Create an application
rhc create-app r19 ruby-1.9
2. ssh into the instance, run oo-app-info
oo-app-info -a r19 -d jhou -l jhou@redhat.com


Actual results:
After step 2:
[root@ip-10-152-179-2 plugins.d]# oo-app-info -a r19 -d jhou -l jhou@redhat.com
Loading broker environment... /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': cannot load such file -- app_info (LoadError)
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/sbin/oo-app-info:95:in `<main>'


Expected results:
Should execute successfully.

Additional info:
Comment 1 Dan McPherson 2013-11-11 11:34:31 EST
tdawson: Should this be an oo-admin command for consistency?
Comment 2 Troy Dawson 2013-11-11 12:03:27 EST
I'm sorry, I only tested this on F19, not RHEL (with SCL) machines.  I'll get that library fixed.
Comment 3 Dan McPherson 2013-11-12 17:20:40 EST
https://github.com/openshift/origin-server/pull/4179
Comment 4 Jianwei Hou 2013-11-13 01:10:46 EST
This is fixed on devenv_4027

[root@ip-10-151-120-101 ~]# oo-app-info -a php1 -d jhou -l jhou@redhat.com --gear_uuid 5283104951b0a0bbc1000006
Loading broker environment... Done.

================================================================================

      Login:         jhou@redhat.com
      Plan:          silver (ACTIVE)

      App Name:      php1
      App UUID:      5283104951b0a0bbc1000006
      Creation Time: 2013-11-13 05:38:17 AM
      URL:           http://php1-jhou.dev.rhcloud.com
    
      Group Instance[0]:
          Components: 
              Cartridge Name: php-5.3
              Component Name: php-5.3 
              Cartridge Name: mongodb-2.2
              Component Name: mongodb-2.2 
           Gear[0]
              Server Identity: ip-10-151-120-101
              Gear UUID:       5283104951b0a0bbc1000006
              Gear UID:        1887
          
      Current DNS
      -----------
     php1-jhou.dev.rhcloud.com is an alias for ec2-54-221-41-129.compute-1.amazonaws.com.
     ec2-54-221-41-129.compute-1.amazonaws.com has address 10.151.120.101
    
================================================================================

Note You need to log in before you can comment on or make changes to this bug.